darcs

Issue 1566 patch index optimisation (aka filecache)

Title patch index optimisation (aka filecache)
Priority feature Status resolved
Milestone 2.10.0 HEAD Resolved in 2.10.0 HEAD
Superseder Nosy List beschmi, campbell, dmitry.kurochkin, kowey, mndrix, thorkilnaur, tux_rocker
Assigned To beschmi
Topics Performance

Created on 2009-08-26.08:56:43 by kowey, last changed 2013-06-16.19:36:13 by gh.

Files
File name Uploaded Type Edit Remove
changes.dpatch bsrkaditya, 2012-03-31.15:05:20 application/octet-stream
Messages
msg8496 (view) Author: kowey Date: 2009-08-26.08:56:38
The filecache is our informal name for a cache mapping filenames to the patches
that affect them.

I'm creating a new ticket for this because I think it should stand independently
of the more general "improve darcs changes performance" (issue124) and "improve
darcs annotate performance" (issue984).

It's not trivial because we have to track file and directory renames.  For
example, if I have a file 'f' that I create in one patch; and if I have a
directory 'd' that I create in another patch, then if 'f' gets moved into 'd'
the 'd' filecache has be absorbed into the 'f' one.  I imagine that there can be
some fairly tricky scenarios beyond this.

Taylor Campbell points out that a conservative strategy can simplify matters.
msg10327 (view) Author: kowey Date: 2010-03-20.17:15:13
Just updating with the new name for filecache (patch index)
msg11521 (view) Author: kowey Date: 2010-06-21.18:50:33
Bumped to 2.6 (but close to the 2.5 release):
http://lists.osuosl.org/pipermail/darcs-users/2010-June/024355.html
msg15184 (view) Author: mndrix Date: 2012-02-27.19:25:06
For posterity, I found the following three informative references to this 
feature:

  * patch: http://bugs.darcs.net/patch173
  * GSoC proposal: http://www.google-
melange.com/gsoc/proposal/review/google/gsoc2011/bsrkaditya/1
  * wiki: http://wiki.darcs.net/Ideas/PatchIndex
msg15452 (view) Author: bsrkaditya Date: 2012-03-31.15:05:20
I have made a simplified version of changes using patch index.
Basically it gives the output of darcs changes FILE.
Call it using darcs show patch-index-fileid ./FILE.
Make sure that FILE is the path to file wrt repo.
Do not forget to create a patch index first. :-)
Attachments
msg16487 (view) Author: markstos Date: 2012-12-28.19:16:56
Can this be considered resolved now? If not, what's the next step to move 
this forward?
msg16863 (view) Author: gh Date: 2013-06-16.19:36:12
Patch index is in darcs since a few months. I'm going to close this
issue and related ones.
History
Date User Action Args
2009-08-26 08:56:43koweycreate
2009-08-26 08:58:03koweylinkissue124 superseder
2009-08-26 08:58:15koweysettopic: + Target-2.4
nosy: beschmi, kowey, darcs-devel, thorkilnaur, dmitry.kurochkin, campbell
2009-08-26 08:58:46koweylinkissue984 superseder
2009-08-26 13:47:41koweylinkissue1068 superseder
2009-08-27 14:33:05adminsetnosy: beschmi, kowey, darcs-devel, thorkilnaur, dmitry.kurochkin, campbell
2009-09-07 13:38:22koweylinkissue1600 superseder
2009-09-14 10:52:19koweysettopic: + Target-2.5, - Target-2.4
nosy: beschmi, kowey, darcs-devel, thorkilnaur, dmitry.kurochkin, campbell
2010-03-20 17:15:15koweysetmessages: + msg10327
title: filecache optimisation -> patch index optimisation (aka filecache)
2010-06-15 20:51:55adminsetmilestone: 2.5.0
2010-06-15 20:59:14adminsettopic: - Target-2.5
2010-06-21 18:50:34koweysetnosy: + tux_rocker, - darcs-devel
messages: + msg11521
milestone: 2.5.0 -> 2.8.0
2012-02-27 19:03:26mndrixsetnosy: + mndrix
2012-02-27 19:25:07mndrixsetmessages: + msg15184
2012-03-31 15:05:21bsrkadityasetfiles: + changes.dpatch
messages: + msg15452
2012-12-28 19:16:56markstossetmessages: + msg16487
2013-06-16 19:36:13ghsetstatus: has-patch -> resolved
milestone: 2.8.0 -> 2.10.0 HEAD
messages: + msg16863
resolvedin: 2.10.0 HEAD